Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 434180 - sys-devel/gcc sandbox violation in /usr/include/DONE (dev-db/oracle-instantclient-basic creates a link prefixed with double slashes)
Summary: sys-devel/gcc sandbox violation in /usr/include/DONE (dev-db/oracle-instantcl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Toolchain Maintainers
URL: http://gcc.gnu.org/ml/gcc-patches/201...
Whiteboard:
Keywords: PATCH
: 445448 471210 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-09-07 02:08 UTC by Ziggy
Modified: 2019-02-13 22:03 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gcc 4.5.4 config.logs (gcc-build-logs.tar.bz2,183.52 KB, application/octet-stream)
2012-09-09 06:35 UTC, Ziggy
Details
Logs from gcc-4.5.4 build (gcc-4.5.4-build_logs.zip,258.34 KB, application/octet-stream)
2012-09-11 11:59 UTC, Sergey Starosek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ziggy 2012-09-07 02:08:21 UTC
Emerging the package [dev-db/oracle-instantclient-basic] (at least in version 10.2.0.3-r1) creates the link /usr/include/oracle/10.2.0.3/client -> //usr/lib64/oracle/10.2.0.3/client/include

The prefixing double slashes will cause sys-devel/gcc-4.5.4 to fail at the sandbox level, by trying to access /usr/include/DONE.
Comment 1 Ziggy 2012-09-07 02:11:51 UTC
Correction to my original description. The prefixing double slashes will cause emerging the package [sys-devel/gcc-4.5.4] fail due to a sandbox access violation, while trying to access /usr/include/DONE.
Comment 2 Jeroen Roovers gentoo-dev 2012-09-07 10:24:52 UTC
1) Please post your `emerge --info' output in a comment.
2) Please attach the entire failing build log to this bug report.
Comment 3 Ziggy 2012-09-07 23:59:45 UTC
First time poster, didn't keep the information requested. However this is the forum where I found the solution to the problem:

http://forums.gentoo.org/viewtopic-p-7132614.html?sid=1b062001fc517bb0dd9fc3398e362a15

It does include the build logs, and the solution was added by miskolabor on Mon Aug 27, 2012 11:21 am. I apologise for the n00biness, I'll keep the info for next time.
Comment 4 Jeroen Roovers gentoo-dev 2012-09-08 04:42:29 UTC
Well, please attach any relevant information right here. Forum post do not count.
Comment 5 Jeroen Roovers gentoo-dev 2012-09-08 17:12:50 UTC
It's not a pretty symlink but it's a valid one, so I think gcc shouldn't fail here.
Comment 6 Ziggy 2012-09-09 06:35:46 UTC
Created attachment 323250 [details]
gcc 4.5.4 config.logs

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-32236.log"

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: open_wr
S: deny
P: /usr/include/DONE
A: /usr/include/DONE
R: /usr/include/DONE
C: touch /usr/include/DONE 

F: utimensat
S: deny
P: /usr/include/DONE
A: /usr/include/DONE
R: /usr/include/DONE
C: touch /usr/include/DONE 
--------------------------------------------------------------------------------
Problem is solved when fixing the link specified in prior comments.
Comment 7 Ziggy 2012-09-09 06:39:57 UTC
gentoocompiler ~ # emerge --info
Portage 2.1.11.9 (default/linux/amd64/10.0/desktop, gcc-4.5.4, glibc-2.15-r2, 2.6.39-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.39-gentoo-r3-x86_64-QEMU_Virtual_CPU_version_1.0-with-gentoo-2.1
Timestamp of tree: Sat, 08 Sep 2012 10:00:01 +0000
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.1.3-r1, 3.2.3
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.4.5, 4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_AU"
MAKEOPTS="-j16"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="16bittmp R X X509 a-like-o a52 aac aacplus aacs aalib acl acpi active-response activefilter addns admin adns ads aes aes-gcm aes-ni aesicm afp afs aften aio airplay ais alac alaw alsa amavis amd64 amr animgif apache2 apng archive asf asn aspell asterisk async asyncdns asyncns atm audacious audio audiofile audioqueue auth authcram authdaemond authfile authlib auto-completion autobind autotrace avahi avcodec avformat avx bash-completion bcmath beeper berkdb big-tables bittorrent bitwise blksha1 bmp boehm-gc boto bpd branding bs2b bsf btrfs bugzilla builder bzip2 c3p0 cairo capisuite-fax caps caps-ng case ccache cdb cdda cddb celt cgi cgi-lua cgi-php charconv charset checkpath checksum chm chrome cisco clamav clamd clamdtop cleanweb cli client clisp color colord colordiff common-lisp commons-digester commonslogging commonsnet community composer compress connection-sharing conntrack consolekit contentcache contrib copy corefonts cpio cpudetection cpumining cracklib cramfs creds crl crl-monitor cron crossdev crypt cscope csoundac csv ctrls ctype ctypes-python cue cuneiform cups curl curlwrappers cvs cvsgraph cxx daap daemon db-upgrade dbi dbm dbus dbx dcc_voice dchroot dconf ddate ddcpci debug-utils derby des devfs-compat devpay dia diff dirac disassembler diskuse djvu dlz dnd doc dot dovecot-sasl download-subs downloadorder doxygen drawing drbd drizzle dselect dshow dso dtmf dts dv dvb dvbplayer dvbpsi dvbsetup dvi dvi2tty dvipdfm dxr3 dxva2 eap eap-sim eap-tls easy-bindings ebook ecc ecdsa echo2 ecl eclipse edit efax egl eligius elisp emajit jmf jni jpeg jpeg2k jpgraph jsapi json kdcraw kde kerberos kexiv2 kino kipi krb5 l16 ladspa lash lcms ldap ldap-bind ldap-sasl ldapdb ldapi ldb libcaca libnotify libotf libproxy librsync-bundled libsamplerate libssh2 libxml2 listen-queue locator logrotate lua lyrics mac macosx macosx-audio macosx-dialog-provider macosx-eyetv macosx-qtkit macosx-quartztext macosx-vout mad magic magnetgenerator mail mailclient maildrop man markdown masquerade math mathml matroska matrox mbox mbrola mbx md md2 md5 md5sum mdb mdbox mdnsresponder-compat mediaplayer mediawiki memlimit memoryview menuorg metis metric mew midi mikmod milter mime mimencode mirage mixemu mixer mjpeg mkl mktemp mlib-update mms mmx mmxext mng moc mod mod_perl mod_proxy mod_python modperl modplug mods modules mongrel monitor mono monotone motif mozdom mozilla mp3 mp4 mpd mpeg mpg123 mpi mplayer mppe-mppc mpris mprpc mpx ms-bad-proposal msdoc msn mso msppt mssql msxls mta mtp mudflap mule multilib multimedia multipath multiuser musepack musicbrainz mysql mysqli mysqlnd nas nat nat-pmp native-exceptions natspec ncat ncurses ndiff neXt net netapi netbeans netcdf netgroups netjack netlink network network-cron new-clx newt nfconntrack nfs nfsdcld nfsidmap nfsv3 nfsv4 nfsv41 nids nio-buffers nis nlpsolver nls nmap nmap-update nntp noctcp normalize normalizemime normalizer nptl nsplugin nss ntfs ntp nut nuv nxclient objc objc++ objc-gc ocaml ocamlduce ocamlopt oci8 oci8-instant-client ocr ocrad ocsp octave odalaunch odbc odbcmanual odf odk ofa offensive ofx ogdi ogg ogg123 ogm oil okteta okular omxil ons openal openclipartcards openctl openexr opengl opengtl openid openldap openmedia openmp openpgp opensc openssl openstreetmap openvg openvpn openxml optimisememory optimized-qmake opus oracle orathreads orc oro osc osdmaxitems osmesa osplookup ots output_autofocus output_file output_http output_rtsp output_udp outputs overlays pager pam pam-passthru pam_krb5 pam_nuauth pam_ssh pango parse-clocks parsec passfile passwd passwdqc password passwordsave patch pcap pcf pch pci pcntl pcre pcre-jit pdf pdf-writer pdfannotextractor pdfimport pdl2 pdo perl perl-geoipupdate pgo pgplot phar php pinplugin pipe pixbuf pkcs11 pkinit playtools plotutils plugins png pnm podcast pogooglue policykit pop portaudio portmidi portmon posix postfix postgis postgres postproc postscript ppds ppp pppd prawn preao pretty prevent-removal previewer private-headers procmail profile profiling proj projectm projectx psf psk pth pulseaudio python qmail qmail-spp qos qt-faststart qt3support qt4 qthelp quesoglc quicktime quota qwt radius raop rar ratio raw rc5 rcs rdesktop rdesktop-vrdp rdoc react readline recommended recorder recording regex regexp reiser4 reiserfs remoteosd replicated replication resolvconf resolveids resolver rfc2307 rfc3779 rfc822 ripemd rle rmagick rosenthal rpc rplay rpm rss rsyslog rtaudio rtc rtf rtmp rtsp ruby ruby-bindings rubytests rups s3 samba sample samples sandbox sasl sbcl sbsms schroedinger sdb-ldap sdbox sdk sdl sdl-image sdl-sound sdlgfx seamonkey search seed semantic-desktop sendmail sendto server servletapi servlets session sessioncerts sftp sge sguil sha1 sha512 shadow shared-dricore shared-glapi sharedmem sharedstorage shine shm shmvideo shorten shorturl shout sieve signature-log signer simplexml sip sipim siren14 siren7 slang slit sln16 small smbclient smbkrb5passwd smbsharemodes smbtav2 smi smime smp smpeg smtp sndfile snmp snomhack soap sockets socks socks5 softhsm softquota sortrecords sound soundcloud soundex soundextract soundtouch soup sox spamassassin span spandsp spatialite speech speechd speex spell spf spoof-source spool2dir sql sqlite sqlite3 srp srs srtp srv sse sse2 sse3 sse4 sse4_1 sse4a sse5 ssh ssl ssse3 startup-notification stats status stereo stk stl stream stroke subtitles subversion sudo suexec suhosin suphp svg svgtiny svm swat swig switcher swscale swt syncearly syntax-check syslog sysquota system-wide systemd sysvipc t1lib taamey taglib tao tbb tcl tcmalloc tcpd tcpwrapper tdbtest templates tesseract test-framework test-programs testcert testutil tga tgif theora thesaurus thin-splines threads threadsafe thumbnail thumbnails thunar thunderbird tidy tiff timezone timidity tint2conf tinyxml tk tls tokenizer toolame toolbar tools transcode transparent transparent-proxy trashquota tremor truetype tta tts tun2socks twitgin twitter twolame type3 ucd-compat udev udf udisks udpgw udunits ui ulaw uml unicode unique unlock-notify unzip upcall upnp upower urandom usb usbredir utils uuid v4l v8 vaapi vamp vba vcd vcdx vhosts video view-captcha vim vim-pager vim-plugin vim-syntax virt-network visio vlc vlm vnc vocoder volctrl vorbis vpnc vpx vte vxml wav waveout wavpack wayland wddx web webcam webdav webdav-serf webgl webinterface webkit webkit2 webm webmail webp webphoto webrtc-aec webserver wildmidi win32 winbind wineappdb wingdi wininst winpopup wma wma-fixed wmf word-perfect wordperfect wpg wxwidgets wyfv x11vnc x264 xa xanim xar xattr xcb xcf xerces xerces-c xforward xgetdefault xhtml xine xinetd xls xml xmldoclet xmlreader xmlrpc xmlsec xmlwriter xmms2 xmp xmpp xorg xorgmodule xosd xpi xpm xprint xps xrender xsl xslt xspf xspice xtinyproxy-header xv xvid xvmc xwax_decoders_aac xwax_decoders_cd xwax_decoders_flac xwax_decoders_misc xwax_decoders_mp3 xwax_decoders_ogg yahoo-geo yaml youtube zemberek zeroconf zip zlib zoran" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog apache bind cpu csv curl curl_json curl_xml dbi disk dns email ethstat iptables logfile match_regex match_timediff mysql netlink nfs ntpd oracle perl ping postgresql powerdns processes protocols python tcpconns teamspeak2 uptime users write_http" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_AU" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 8 SpanKY gentoo-dev 2012-09-09 06:45:00 UTC
Comment on attachment 323250 [details]
gcc 4.5.4 config.logs

these are just the config.logs.  we need the full build.log.
Comment 9 Sergey Starosek 2012-09-11 11:59:58 UTC
Created attachment 323500 [details]
Logs from gcc-4.5.4 build

Hi all,

I'm facing the same problem.

Portage 2.1.11.9 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.15-r2, 3.4.9-gentoo x86_64)
=================================================================
System uname: Linux-3.4.9-gentoo-x86_64-Intel-R-_Core-TM-_i7-2670QM_CPU_@_2.20GHz-with-gentoo-2.1
Timestamp of tree: Mon, 10 Sep 2012 08:45:01 +0000
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/cmake:           2.8.8-r3
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.15-r2
Repositories: gentoo
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA Oracle-BCLA-JavaSE skype-4.0.0.7-copyright PUEL AdobeFlash-10.3 LOKI-EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=generic -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/maven-bin-2.2/conf /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -mtune=generic -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles news parallel-fetch parse-eapi-ebuild-head protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.kiev.ua/ftp/ http://gentoo.iteam.net.ua/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="ru en"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.ua.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr cli consolekit cracklib crypt cups cxx dbus dri dts dvd dvdr emboss encode exif fam firefox flac gdbm gif gnome-keyring gpm gtk iconv ipv6 jpeg lcms ldap libnotify mad matroska mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf png policykit ppds pppd qt4 readline sdl session smp spell sse sse2 ssl startup-notification svg tcpd tiff truetype udev udisks unicode upower usb v4l vorbis wmf wxwidgets x264 xcb xinerama xml xosd xulrunner xv xvid zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru en" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 10 Sergey Starosek 2012-09-11 12:20:28 UTC
And I can confirm that replacing symbolic link /usr/include/oracle/10.2.0.3/client -> /usr/lib64/oracle/10.2.0.3/client/include (without extra leading slash) fixes the problem.

Should I report this bug against dev-db/oracle-instantclient-basic ?
Comment 11 Maxim Reznik 2012-09-18 13:31:40 UTC
I encountered this too.
Comment 12 mephinet 2012-10-28 18:43:59 UTC
(In reply to comment #10)
> Should I report this bug against dev-db/oracle-instantclient-basic ?

According to this specification of "pathname", multiple slashes are fine:
<http://pubs.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap03.html#tag_03_266>

As a matter of fact, the instantclient isn't the only package that produces such symlinks:

# symlinks -r /var /etc /usr | grep -v ora | grep -c // 
5

So in conclusion, to me this seems to be a gcc rather than a instantclient bug...
Comment 13 SpanKY gentoo-dev 2012-12-01 17:32:59 UTC
*** Bug 445448 has been marked as a duplicate of this bug. ***
Comment 14 SpanKY gentoo-dev 2012-12-25 08:33:27 UTC
2 byte fix posted to upstream gcc-patches (see URL)

note: only thing you need to reproduce this bug is symlink to a random place with multiple slashes in it.  no need to install binary/fetch restricted crap like oracle.
Comment 15 SpanKY gentoo-dev 2013-05-26 16:13:57 UTC
*** Bug 471210 has been marked as a duplicate of this bug. ***
Comment 16 Marian Kyral 2017-08-17 13:50:55 UTC
This issue still exists in gcc-6.4.
Comment 17 Sergei Trofimovich gentoo-dev 2017-08-17 20:28:10 UTC
Looks like nobody replied in there.
Comment 18 Sergei Trofimovich gentoo-dev 2017-08-17 20:32:09 UTC
I've sent ping: https://gcc.gnu.org/ml/gcc-patches/2017-08/msg01096.html
Comment 19 Sergei Trofimovich gentoo-dev 2017-10-13 16:36:58 UTC
Applied upstream today as: https://gcc.gnu.org/git/?p=gcc.git;a=commitdiff;h=6090ba68959dbc4ad8c80d6aed7d04801f01c67c
Comment 20 Greg Turner 2017-10-13 19:58:13 UTC
(In reply to mephinet from comment #12)
> (In reply to comment #10)
> > Should I report this bug against dev-db/oracle-instantclient-basic ?
> 
> According to this specification of "pathname", multiple slashes are fine:
> <http://pubs.opengroup.org/onlinepubs/009695399/basedefs/xbd_chap03.
> html#tag_03_266>

For the record: the above specifically refers to double slashes at the end; presumably they were not thinking that the path in question may be "//" because if you follow the "for more details" link, right there, you will read that:

  A pathname that begins with two successive slashes may be
  interpreted in an implementation-defined manner, although
  more than two leading slashes shall be treated as a single
  slash.

Which is not just a theoretical difference for Gentoo, because in cygwin this POSIX quirk is used to map "//foo" to the "\\foo" network share.
Comment 21 Sergei Trofimovich gentoo-dev 2019-02-13 22:03:31 UTC
Was released as part of gcc-8.1+. Let's not backport it.